Index: autoconf.c
===================================================================
RCS file: /cvsroot/src/sys/arch/landisk/landisk/autoconf.c,v
retrieving revision 1.9
diff -p -u -r1.9 autoconf.c
--- autoconf.c	19 Mar 2022 13:49:21 -0000	1.9
+++ autoconf.c	3 May 2022 13:39:06 -0000
@@ -122,6 +122,7 @@ match_bootdisk(device_t dv, struct btinf
 		vput(tmpvn);
 		return (0);
 	}
+	VOP_UNLOCK(tmpvn);
 	error = VOP_IOCTL(tmpvn, DIOCGDINFO, &label, FREAD, NOCRED);
 	if (error) {
 		/*
@@ -140,6 +141,7 @@ match_bootdisk(device_t dv, struct btinf
 	    	found = 1;
 
 closeout:
+	vn_lock(tmpvn, LK_EXCLUSIVE | LK_RETRY);
 	VOP_CLOSE(tmpvn, FREAD, NOCRED);
 	vput(tmpvn);
 	return (found);
